<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
<%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  Detail
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
  <% Html.RenderAction("Menu", "Admin"); %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
  <% using (Html.BeginForm("SaveChanges", "AlgorithmClass")) %>
  <% { %>
  <h2>
    Detail</h2>
  <div class="hl-menuButtons">
    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
  </div>
  <% AlgorithmClass ac = ((AlgorithmClassModel)Model).AlgorithmClass; %>
  <table class="hl-table">
    <tr>
      <th>
        Id:
      </th>
      <td>
        <%: Html.Label(ac.Id.ToString())%>
      </td>
      <%: Html.Hidden("AlgorithmClassId", ac.Id.ToString(), ac.Id.ToString())%>
    </tr>
    <tr>
      <th>
        Name:
      </th>
      <td>
        <%: Html.TextBox("AlgorithmClassName", ac.Name, ac.Name)%>
      </td>
    </tr>
    <tr>
      <th>
        Description:
      </th>
      <td>
        <%: Html.TextBox("AlgorithmClassDescription", ac.Description, ac.Description)%>
      </td>
    </tr>
    <tr>
      <th>
        Action:
      </th>
      <td>
        <input type="submit" value="save" />
      </td>
    </tr>
  </table>
  <% } %>
</asp:Content>
